Subject: Re: Thinning a repository

From: Yuri D'Elia <[email-masked]>
Date: Sun, 30 Nov 2014 13:35:36 +0100

On 11/30/2014 01:34 PM, Fredrik Gustafsson wrote:
> On Sun, Nov 30, 2014 at 01:18:34PM +0100, Yuri D'Elia wrote:
>> Is there a quick way to reproduce the effect of a shallow clone on a
>> local repository that doesn't involve filter-branch and/or re-clone?
> 
> I'm curious, why is it a bad thing to do a re-clone? If you clone your
> local repo it would be really fast.

I see no reason to involve the workspace.
I would also want to keep the current remote/origin as it is.

I expect a 'thin' command to be faster by not touching the workspace at all.